## org.hibernate.impl
Class CriteriaImpl.CriterionEntry

    java.lang.Object
      org.hibernate.impl.CriteriaImpl.CriterionEntry

All Implemented Interfaces:
  Serializable

Enclosing class:
  CriteriaImpl

    public static final class CriteriaImpl.CriterionEntry

extends Object
implements Serializable

See Also:
  Serialized Form

Method Summary
`Criteria` `getCriteria()`
`Criterion` `getCriterion()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCriterion

    public Criterion getCriterion()

### getCriteria

    public Criteria getCriteria()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.